""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from importlib.resources import files

from .config_parser import ConfigReader


CONFIG_READER_KWARGS = {
    'config_dir': files('xfutils.config'),
    'CONFIG_FILES_PROPERTIES': [files('xfutils.config').joinpath('rabbitmq_users.conf')],
}

ALL_CONFIG = ConfigReader(**CONFIG_READER_KWARGS)
RMQ_PUBLISHER = None

# CHANGE EVENT TYPES (AUDITING)
PB_EVENTS = ['awaiting', 'failed', 'skipped', 'terminated', 'finished_with_error','active', 'finished', 'incipient']
CREATE_EVENTS = ['create', 'clone', 'version_saved', 'restore', 'ratelimited']
UPDATE_EVENTS = ['publish', 'update']
DELETE_EVENTS = ['delete']

# RMQ CONFIG
EXCHANGE_NAME = 'texchange.xfabric'
ROUTING_KEY_CHANGEEVENT = 'key.xfabric.changeevent'

KEY_SERIALIZED_REQUEST_ATTRS = 'serialized_request_attrs'

# Time to live for porter import jobs
TTL_WEEKS = 4
IGNORE_FILES = [
    '__MACOSX',
    '.DS_Store'
]
TEMP_LOC = '/tmp'
