import logging

logger = logging.getLogger(__name__)

def _get_policy_labels(filtered_policies):
    policy_labels = []
    for each_filtered_policy in filtered_policies:
        policy_labels.append(each_filtered_policy.get('label'))
    return policy_labels

def get_policy_error_message(filtered_policies):
    policy_labels = _get_policy_labels(filtered_policies)
    return 'You do not have permission to perform this action. Policies applied are: {0}'.format(", ".join(policy_labels))

def get_filter_policies_flag(drf_request):
    if drf_request.method in ['GET', 'DELETE']:
        return drf_request.query_params.get('filter_policies', True)
    return drf_request.data.get('filter_policies', True)