from rest_framework import serializers

class HydraResponseSerializer(serializers.Serializer):
    class Meta:
        fields = []

    def __init__(self, model_serializer_class, **kwargs):
        super(HydraResponseSerializer, self).__init__(**kwargs)
        self.fields['@context'] = serializers.CharField()
        self.fields['hydra:nextPage'] = serializers.CharField()
        self.fields['hydra:previousPage'] = serializers.CharField()
        self.fields['hydra:totalItems'] = serializers.IntegerField()
        self.fields['hydra:itemsPerPage'] = serializers.IntegerField()
        self.fields['hydra:firstPage'] = serializers.CharField()
        self.fields['hydra:lastPage'] = serializers.CharField()
        self.fields['hydra:member'] = model_serializer_class(many=True, context={'request': None})