get_password() {
    local pgpw_1
    local pgpw_2
    printf "Enter a password to be used for the Agent database: "
    stty -echo
    read pgpw_1
    printf "\n"
    if [[ -z $pgpw_1 ]]; then
        printf "Password string may not be empty. Please try again.\n"
        return
    fi
    if [[ ! $pgpw_1 =~ .*[a-z].* ]] || [[ ! $pgpw_1 =~ .*[A-Z].* ]] || [[ ! $pgpw_1 =~ .*[0-9].* ]] || [[ ! ${#pgpw_1} -ge 10 ]] || [[ ! ${#pgpw_1} -le 64 ]]; then
        printf "Passwords must contain one lowercase letter, one uppercase letter, and one numerical digit, and must be between 10 and 64 characters long. Please ensure your password meets these requirements and try again.\n"
        return
    fi
    printf "Re-enter chosen password: "
    read pgpw_2
    stty echo
    printf "\n"
    if [[ $pgpw_1 != $pgpw_2 ]]; then
        printf "Password strings must match. Please try again.\n"
        return
    else
        pgpw=$pgpw_1
        return
    fi
}

create_docker_compose_file() {
    local dc_content="@dockercompose@"
    printf "$dc_content" > "$composefile"
}

populate_extra_hosts() {
    sed -i.bak "65i\\
    extra_hosts:
" "$composefile"
    sed -i.bak "66i\\
      - \"$rmq_hostname:$rmq_ip\"
" $composefile

  rm -f "$composefile.bak"
}

main() {
    local rmq_ip="69.167.115.175"
    local rmq_hostname="uat-agent-rmq.pool1.ca-west-1.xf.fortisoar.forticloud.com"
    local pgpw=""
    while [[ -z $pgpw ]]
    do
        get_password
    done
    local composefile="docker-compose-@agentName@.yaml"
    create_docker_compose_file
    populate_extra_hosts

    #docker import https://repo.fortisoar.fortinet.com/xf/@agentVersion@/agent/docker/xf-agent-integration-@agentVersion@-@agentBuildNumber@.tgz xf-agent-integration-@agentName@:@agentVersion@-@agentBuildNumber@
    curl -O https://repo.fortisoar.fortinet.com/xf/@agentVersion@/agent/docker/xf-agent-integration-@agentVersion@-@agentBuildNumber@.tgz
    docker load --input ./xf-agent-integration-@agentVersion@-@agentBuildNumber@.tgz
    dbpass=$pgpw docker compose --project-name agent-@agentName@ -f $composefile up --detach
    rm -f ./xf-agent-integration-@agentVersion@-@agentBuildNumber@.tgz
}

main