""" Copyright start
  Copyright (C) 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.utils.translation import gettext_lazy as _
from rest_framework import status
from rest_framework.exceptions import APIException
from constants.error_message import *


#
class AgentCreationFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'agent_creation_failed'
    default_detail = _('Agent creation failed.')


class AgentDeleteFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'agent_delete_failed'
    default_detail = _('Agent delete failed.')


class AgentUpdateFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'agent_update_failed'
    default_detail = _('Agent udpate failed.')


class AgentDeleteFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'agent_delete_failed'
    default_detail = _('Agent Delete failed.')


class TarOperationFailed(APIException):
    status_code = status.HTTP_400_BAD_REQUEST
    default_code = 'tar_operation_failed'
    default_detail = _('Could not tar helper file')

class CertificateGenerationFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'agent_certificate_generation_failed'
    default_detail = xf_integration_35

class ApplianceCreationFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'appliance_creation_failed'
    default_detail = xf_integration_36

class LicenseFetchFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'license_fetch_failed'
    default_detail = xf_integration_50

class TooManyLicenses(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'too_many_licenses'
    default_detail = xf_integration_51

class AgentLimitReached(APIException):
    status_code = status.HTTP_400_BAD_REQUEST
    default_code = 'too_many_agents'
    default_detail = xf_integration_52