#!/bin/bash
# Copyright start
# Copyright (C) 2008 - 2024 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end

from django.core.cache import cache
from django.core.management import BaseCommand, CommandError
from xfutils.passwordModule import manage_password


class Command(BaseCommand):
    help = 'Encrypt and Decrypt Passwords'
    requires_system_checks = []

    def add_arguments(self, parser):
        parser.add_argument('operation', type=str, help='Can be "encrypt" or "decrypt"')
        parser.add_argument('data', type=str, help='The password to encrypt, or the encrypted password to decrypt')

    def handle(self, *args, **options):
        try:
            operation = options.get('operation')
            data = options.get('data')

            if operation == 'encrypt':
                if not data:
                    raise CommandError('Must provide a password to encrypt')
                self.stdout.write(manage_password(data, 'encrypt'))
            elif operation == 'decrypt':
                if not data:
                    raise CommandError('Must provide an encrypted password to decrypt')
                self.stdout.write(manage_password(data, 'decrypt'))
            else:
                raise CommandError('Operation must be "encrypt" or "decrypt')

        except Exception as exp:
            self.stdout.write(self.style.ERROR('Cached cleared failed for argument: %s' % str(exp)))