""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.urls import include, path
from rest_framework import routers

from agents.views import AgentViewSet, AgentInstallerView

router = routers.DefaultRouter()
router.register(r'agents', AgentViewSet, basename='agents')

urlpatterns = [
    path('agents/download-installer/', AgentInstallerView.as_view(), name='agent_installer'),
    path('agents/delete/', AgentViewSet.as_view({'post': 'bulk_delete'})),
    path('agents/healthcheck/', AgentViewSet.as_view({'post': 'trigger_healthcheck', 'get': 'health_status'})),
    path('', include(router.urls)),
]
