import json
import logging
import requests

from agents.exceptions import *
from constants.error_message import *
from django.conf import settings
from xfutils.utils import api_call, generate_jwt_token, generate_interservice_jwt_token

all_config = settings.ALL_CONFIG
logger = logging.getLogger(__name__)


def create_appliance_for_agent(agent_id, agent_name, tenant_id, tenant_uuid):
    try:
        payload = {
            'name': agent_name,
            'last_name': 'appliance',
            'type': 'appliance',
            'roles': ['Agent Appliance']
        }
        header = {
            'Accept': 'application/json',
            'Content-Type': 'application/json',
        }
        create_user_url = f'https://{all_config.get("application", "auth_host")}/api/auth/users/'
        interservice_private_key_file = all_config.get('appliance', {}).get('private_key_filename')
        interservice_uuid = all_config.get('appliance', {}).get('uuid')
        token = generate_interservice_jwt_token(all_config, tenantid=tenant_id, tenantuuid=tenant_uuid)
        header['Authorization'] = f"Bearer {token}"
        response = api_call(create_user_url, method='POST', body=payload, headers=header, verify=False)
        return response
    except Exception as e:
        message = xf_integration_36.format(agent_id)
        logger.exception(message)
        raise AgentCreationFailed(message)
