""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

# Global Contants.

STATE_AVAILABLE = 'Available'
STATE_DISCONNECTED = 'Disconnected'
STATE_NOT_CONFIGURED = 'NotConfigured'
STATE_DACTIVATED = 'Deactivated'
STATE_DEACTIVATED = 'Deactivated'
SSL_VALIDATION_ERROR = 'SSL certificate validation failed'
CONNECTION_TIMEOUT = 'The request timed out while trying to connect to the remote server'
REQUEST_READ_TIMEOUT = 'The server did not send any data in the allotted amount of time'
INVALID_URL_OR_CREDENTIALS = 'Invalid endpoint or credentials'
UNAUTHORIZED = 'Unauthorized'
NOTIFICATION_BASED_INGESTION = 'notification'
REMOTE_STATUS = {
    'in_progress': 'in-progress',
    'awaiting': 'awaiting',
    'paused': 'paused',
    'finished': 'finished',
    'failed': 'failed',
    'disconnected': 'disconnected',
    'available': 'available',

    'installation_in_progress': 'install-in-progress',
    'installation_finished': 'finished',
    'installation_failed': 'install-failed',

    'upgrade_in_progress': 'upgrade-in-progress',
    'upgrade_failed': 'upgrade-failed',
    'upgrade_finished': 'upgrade-finished',

    'uninstall_in_progress': 'uninstall-in-progress',
    'uninstall_failed': 'uninstall-failed',
    'uninstall_finished': 'uninstall-finished',

    'installed_on_agent': 'installed-on-agent',
    'deletion_in_progress': 'deletion-in-progress',

    'status_update_in_progress': 'status-update-in-progress',
    'status_update_failed': 'status-update-failed',
    'status_update_finished': 'status-update-finished',
}

VERSION_JSON_PATH = '/opt/cyops-integration/web/static/version.json'

CONNECTOR_TAG_FILTER = 'tag_contains'

DEFAULT_USER_ID = '029576af-2104-4bc7-afb8-f2fc358c28b3'

CONNECTOR_AUDIT_OPERATIONS = {
    "install": "Install",
    "uninstall": "Uninstall",
    "update": "Update",
    "upgrade": "Upgrade",
    "delete": "Uninstall",
    "execute": "Executed Action",
    "add_version": "Version Created",
    "clone": "Create",
    "create": "Create",
    "publish": "Publish",
    "install_start": "Install Start",
    "install_complete": "Install Success",
    "install_failed": "Install Failed",
    "uninstall_start": "Uninstall Start",
    "uninstall_complete": "Uninstall Success",
    "uninstall_failed": "Uninstall Failed",
    "create_config": "AddConfig",
    "update_config": "UpdateConfig",
    "delete_config": "DeleteConfig"
}

CONFIGURATION_AUDIT_OPERATIONS = {
    "create": "AddConfig",
    "update": "UpdateConfig",
    "delete": "DeleteConfig"
}

OPERATION_AUDIT_OPERATIONS = {
    "create": "AddConfig",
    "update": "UpdateConfig",
    "delete": "DeleteConfig"
}

CONNECTOR_AUDIT = {
    'configuration': CONFIGURATION_AUDIT_OPERATIONS,
    'connector': CONNECTOR_AUDIT_OPERATIONS,
    'operation': OPERATION_AUDIT_OPERATIONS
}

CONSTANT_PHRASE = '__1t1FBGWaDmtgKXu__'

log_collect = 'log_collect'

SEALAB_SECRET_KEY = 'ycoVqathYmim6sfbINzcfye25ph2@3725akAktpSS7q8^@4)@-'

BUILTIN_PREFIX = '#FSR Autogenerated Content. DO NOT DELETE'

CONNECTOR_DEV_CONFIG_INI_PATH = '/opt/cyops/configs/integration/workspace/connector_dev_config.ini'

TIM_SKU_ENABLED = "is_tim_sku_enabled"

INSTALL_SOURCE_API_UPLOAD = 'install_source_api_upload'

REMOTE_CONNECTOR_OPERATIONS = {
    'connector_install': 'connector-install',
    'connector_uninstall': 'connector-uninstall',
    'connector_execution': 'connector-execution',
    'connector_healthcheck': 'connector-healthcheck',
    'connector_update': 'connector-update',
    'config_create': 'configuration-create',
    'config_update': 'configuration-update',
    'config_delete': 'configuration-delete'
}
