""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.core.cache import cache
from django.core.management import BaseCommand


class Command(BaseCommand):
    help = 'Clearing given key from cache'

    def add_arguments(self, parser):
        parser.add_argument('key', type=str, help='name of the key to be cleared from cache', )

    def handle(self, *args, **options):
        try:
            key = options.get('key')
            cache.delete(key)
        except Exception as exp:
            self.stdout.write(self.style.ERROR('Cached cleared failed for argument: %s' % str(exp)))
