# Generated by Django 4.2.14 on 2024-07-17 21:57

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('taggit', '0006_rename_taggeditem_content_type_object_id_taggit_tagg_content_8fc721_idx'),
        ('agents', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Configuration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('config_id', models.CharField(max_length=100, unique=True)),
                ('status', models.CharField(blank=True, max_length=100, null=True)),
                ('name', models.CharField(max_length=100)),
                ('default', models.BooleanField(default=False)),
                ('config', models.JSONField(blank=True, default=dict, null=True)),
                ('remote_status', models.JSONField(blank=True, default=dict, null=True)),
                ('health_status', models.JSONField(blank=True, default=dict, null=True)),
                ('agent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='agents.agent', to_field='agentId')),
            ],
        ),
        migrations.CreateModel(
            name='Connector',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('version', models.CharField(max_length=50)),
                ('label', models.CharField(max_length=500)),
                ('configuration_old', models.JSONField(blank=True, default=dict, null=True)),
                ('config_schema', models.JSONField(blank=True, default=dict, null=True)),
                ('category', models.CharField(blank=True, max_length=50, null=True)),
                ('publisher', models.CharField(blank=True, max_length=500, null=True)),
                ('active', models.BooleanField(default=True)),
                ('cs_compatible', models.BooleanField(default=True)),
                ('migrate', models.BooleanField(default=False)),
                ('system', models.BooleanField(default=False)),
                ('playbook_collections', models.JSONField(blank=True, default=list, null=True)),
                ('icon_small', models.TextField(blank=True, null=True)),
                ('iconLarge', models.TextField(blank=True, db_column='icon_large', null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('help_online', models.TextField(blank=True, null=True)),
                ('help_file', models.TextField(blank=True, null=True)),
                ('vendor_version', models.TextField(blank=True, null=True)),
                ('metadata', models.JSONField(blank=True, default=dict, null=True)),
                ('status', models.CharField(blank=True, max_length=50, null=True)),
                ('install_result', models.JSONField(blank=True, default=dict, null=True)),
                ('config_count', models.IntegerField(default=0)),
                ('ingestion_supported', models.BooleanField(blank=True, default=False)),
                ('cs_approved', models.BooleanField(blank=True, default=False)),
                ('tags', models.JSONField(blank=True, default=list, null=True)),
                ('remote_status', models.JSONField(blank=True, default=dict, null=True)),
                ('rpm_full_name', models.CharField(blank=True, max_length=500, null=True)),
                ('development', models.BooleanField(default=False)),
                ('installed', models.BooleanField(default=True)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('modified', models.DateTimeField(auto_now=True, null=True)),
                ('requirements_installed', models.CharField(blank=True, max_length=50, null=True)),
                ('type', models.CharField(default='connector', max_length=50)),
                ('certified', models.BooleanField(blank=True, null=True)),
                ('latestAvailableVersion', models.CharField(blank=True, default=None, max_length=50, null=True)),
                ('agent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='connectors', to='agents.agent', to_field='agentId')),
                ('featured', models.BooleanField(blank=True, null=True, default=False)),
            ],
            options={
                'unique_together': {('name', 'version', 'agent')},
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('uuid', models.CharField(max_length=100, primary_key=True, serialize=False, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('uuid', models.CharField(max_length=100, primary_key=True, serialize=False, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='ExecuteAction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('result', models.JSONField(blank=True, default=dict, null=True)),
                ('action', models.CharField(max_length=500)),
                ('remote_status', models.JSONField(blank=True, default=dict, null=True)),
                ('request_payload', models.JSONField(blank=True, default=dict, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('log_records', models.TextField(blank=True, null=True)),
                ('agent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='agents.agent', to_field='agentId')),
                ('configuration', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='connectors.configuration', to_field='config_id')),
                ('connector', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='connectors.connector')),
            ],
        ),
        migrations.AddField(
            model_name='configuration',
            name='connector',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='configuration', to='connectors.connector'),
        ),
        migrations.AddField(
            model_name='configuration',
            name='tags',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.AddField(
            model_name='configuration',
            name='teams',
            field=models.ManyToManyField(to='connectors.team'),
        ),
        migrations.CreateModel(
            name='Operation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('operation', models.CharField(max_length=100)),
                ('description', models.CharField(blank=True, max_length=1000, null=True)),
                ('title', models.CharField(max_length=100)),
                ('output_schema', models.JSONField(blank=True, default=dict, null=True)),
                ('parameters', models.JSONField(blank=True, default=dict, null=True)),
                ('enabled', models.BooleanField(default=True)),
                ('metadata', models.JSONField(blank=True, default=dict, null=True)),
                ('visible', models.BooleanField(default=True)),
                ('connector', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='operations', to='connectors.connector')),
                ('roles', models.ManyToManyField(to='connectors.role')),
            ],
            options={
                'unique_together': {('operation', 'connector')},
            },
        ),
        migrations.AlterUniqueTogether(
            name='configuration',
            unique_together={('name', 'connector', 'agent')},
        ),
    ]
