""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import json

from django.conf import settings
from rest_framework.permissions import BasePermission

# from postman.models import Agent
from agents.models import Agent


class IsAgentAuthenticated(BasePermission):
    def has_permission(self, request, view):
        if request.method in ['GET']:
            agent_id = request.query_params.get('agent')
            if agent_id and agent_id != settings.SELF_ID:
                return True
            return True
        if request.method in ['POST', 'PUT']:
            agent_id = request.query_params.get('agent', settings.SELF_ID)
            team_uuid = []
            if request.data.get('rbac_info', {}).get('teams'):
                team_uuid = json.loads(request.data.get('rbac_info', {}).get('teams'))
            if not agent_id or agent_id == settings.SELF_ID or not team_uuid:
                return True
            agent_instance = Agent.objects.filter(agentId=agent_id).first()
            if agent_instance:
                #ToDo when agent will get linked to team
                return True
                #return agent_instance.team.filter(uuid__in=team_uuid).exists()
        return True
