""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.urls import path

from connectors import views

connector_detail = views.ConnectorDetail.as_view({
    'get': 'retrieve',
    'post': 'retrieve_post',
    'put': 'partial_update',
    'delete': 'destroy'
})

urlpatterns = [
    path('connectors/', views.ConnectorList.as_view({'get': 'list', 'post': 'connector_list'})),
    #path('query/connectors/', views.ConnectorList.as_view({'post': 'connector_list'})),
    path('connectors/install/', views.ConnectorInstall.as_view({'post': 'install',})),
    path('connectors/uninstall/', views.ConnectorDetail.as_view({'delete': 'uninstall'})),
    path('connectors/agents/<name>/', views.ConnectorDetail.as_view({'get': 'agents'})),
    path('connectors/<name>/<version>/', connector_detail),
    path('connectors/<pk>/', connector_detail),
    path('connectors/help/doc/<pk>/', views.ConnectorDetail.as_view({'get': 'help'})),
    path('connectors/dependencies_check/<name>/<version>/', views.ConnectorDependencies.as_view()),
    path('agent-heartbeat/<agent>/', views.AgentHealth.as_view()),
    path('execute/', views.ConnectorExecute.as_view()),
    path('import-connector/<name>/<version>/', views.ConnectorImport.as_view()),
    path('connector-ack/<operation>/', views.ConnectorAck.as_view()),
    path('set/proxy/', views.ProxySettingView.as_view()),
    path('connector_details/', views.ConnectorList.as_view({'post': 'connector_actions'})),
    path('connector_details/<connector>/<version>/', views.ConnectorList.as_view({'post': 'connector_action_details'})),
    path('connector_output_schema/<connector>/<version>/',
         views.ConnectorOperationView.as_view({'post': 'operation_output_schema'})),
    path('connectors/operations/<operation_id>/roles/', views.OperationRoleView.as_view()),
    path('configuration/<connector_name>/<connector_version>/', views.ConnectorConfigurationView.as_view({'get': 'config_retrieve'})),
    path('configuration/tags/', views.TagsView.as_view({'get': 'list'}))
]
