from threading import Thread

from django.core.management.base import BaseCommand
from contenthub.utils import sync_connectors



class Command(BaseCommand):
    help = 'Sync the content hub data from repo to database'

    def handle(self, *args, **options):
        try:
            process = Thread(target=sync_connectors, args=[])
            process.start()
            return self.stdout.write(self.style.SUCCESS('Successfully Started Sync'))
        except Exception as e:
            return self.stdout.write(self.style.ERROR('Error: Failed to trigger sync: %s' % str(e)))
        finally:
            pass
