from django.urls import path, include
from rest_framework.routers import DefaultRouter
from contenthub import views

router = DefaultRouter()
router.register(r'contenthub', views.ContentHubView, basename="content_hub")

# The API URLs are now determined automatically by the router.
urlpatterns = [
    path('contenthub/', views.ContentHubView.as_view({'post': 'content_hub_list'}), name='tasks-revoke-view'),
    path('contenthub/<name>/<version>/', views.ContentHubView.as_view({'get': 'content_hub_detail'}), name='tasks-revoke-view'),
    path('', include(router.urls)),
]