""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.contrib.postgres.fields import ArrayField
from django.db import models
from django.db.models import JSONField

from connectors.models import Configuration


class DataImport(models.Model):
    """
    Data Import model
    """
    name = models.CharField(unique=True, max_length=1000)
    description = models.CharField(max_length=2000, blank=True, null=True)
    status = models.CharField(max_length=500, blank=True, null=True)
    created_by = models.CharField(max_length=500, blank=True, null=True)
    modified_by = models.CharField(max_length=500, blank=True, null=True)
    owners = ArrayField(models.CharField(max_length=100), null=True, blank=True, default=list)
    configuration = models.ForeignKey(Configuration, on_delete=models.CASCADE, related_name='data_import',
                                      to_field='config_id', blank=True, null=True)
    sample_data = JSONField(default=dict, blank=True, null=True)
    data_mapping = JSONField(default=dict, blank=True, null=True)
    playbooks = JSONField(default=dict, blank=True, null=True)
    created_at = models.DateTimeField(auto_now_add=True)
    modified_at = models.DateTimeField(auto_now=True)
    metadata = JSONField(default=dict, blank=True, null=True)
    previous_config_id = models.CharField(max_length=500, blank=True, null=True)

    def __str__(self):
        return 'Data Import :: ' + self.name
