#!/usr/bin/env bash
set -e
set -u
set -o pipefail
set -x

# https://forums.docker.com/t/sed-couldnt-open-temporary-file-xyz-permission-denied-when-using-virtiofs/125473/2
tmp_file="/tmp/tmprepofile"
repo_file="/etc/apt/sources.list.d/debian.sources"
sed "s#http://deb.debian.org#https://jfrog.corp.fortinet.com/artifactory/debian-proxy#g" $repo_file > $tmp_file; cat $tmp_file > $repo_file; rm $tmp_file

apt-get update

# wget is required to download the connectors
# libmagic1 is required by exchange connector
apt-get install -y gcc libpq-dev wget vim procps curl libmagic1

pip install --index-url https://jfrog.corp.fortinet.com/artifactory/api/pypi/pypi-group/simple/ pip --upgrade
pip install --index-url https://jfrog.corp.fortinet.com/artifactory/api/pypi/pypi-group/simple/ -r package.d/requirements.txt

username="xfabric"
groupadd --gid 1001 $username
useradd $username --uid 1001 --gid 1001

echo "[global]" > /usr/local/pip.conf
echo "prefix=/opt/cyops/configs/integrations/packages" >> /usr/local/pip.conf
echo "index-url=https://repo.fortisoar.fortinet.com/connectors/deps/simple" >> /usr/local/pip.conf

mkdir -p /opt/xf/configs/
touch /opt/xf/configs/.config_changed
python manage.py collectstatic --no-input
# During development, since we use default sqlite database, create /database dir and assign perms to it.
# This is not required in production since we connect to external database.
#mkdir /database && chown 1001:1001 /database && chmod 755 /database
#find /container -uid 0 -exec chown -h 1001 '{}' \;
#find /container -gid 0 -exec chgrp 1001 '{}' \;
