""" Copyright start
  Copyright (C) 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

import logging

from rest_framework import filters
from django_filters.rest_framework import DjangoFilterBackend

from xfutils.import_export.views import XFSynchronousImportViewSet, XFSynchronousExportViewSet

from porter.utils import SynchronousPorterActions

FILTER_BACKENDS = (filters.OrderingFilter,
                   filters.SearchFilter,
                   DjangoFilterBackend,)

logger = logging.getLogger(__name__)


class ImportViewSet(XFSynchronousImportViewSet):
    porter_actions_class = SynchronousPorterActions


class ExportViewSet(XFSynchronousExportViewSet):
    porter_actions_class = SynchronousPorterActions
