from django.conf import settings
from django.db import connection
from connectors.connector_self_operations import SelfOperations
from connectors.core.connector import logger
from postman.utils.utility import format_rmq_message
class RemoteConnectorAction():
    def receiveConnectorInstructionRequest(self, message, *args, **kwargs):
        message_json = format_rmq_message(message)
        source_id = message_json.get('sourceId')
        action = message_json.get('action')
        logger.info(f'Received remote Connector instruction request with action: {action}')
        data = message_json.get('data', {})
        schema_name = 'schema' + settings.TENANT_ID.replace('_', '')
        connection.set_schema(schema_name)
        call_obj = SelfOperations()
        func = getattr(call_obj, call_obj.action_mapping.get(action))
        func(data)

    def receiveConnectorExecutionRequest(self, message, *args, **kwargs):
        message_json = format_rmq_message(message)
        source_id = message_json.get('sourceId')
        action = message_json.get('action')
        logger.info(f'Received remote Connector execute request with action: {action}')
        data = message_json.get('data', {})
        schema_name = 'schema' + settings.TENANT_ID.replace('_', '')
        connection.set_schema(schema_name)
        call_obj = SelfOperations()
        func = getattr(call_obj, call_obj.action_mapping.get(action))
        func(data)
