""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import requests
from django.conf import settings
from urllib3.exceptions import InsecureRequestWarning


def load_connectors_json():
    try:
        requests.packages.urllib3.disable_warnings(category=InsecureRequestWarning)
        connectors_json = requests.get(
            url='https://' + settings.PRODUCT_YUM_SERVER + '/connectors/info/connectors-all.json',
            timeout=60,
            verify=False
        )
        return connectors_json.json()
    except Exception as e:
        raise Exception(e)


def load_connectors_repo_name():
    connector_repo_names = []
    requests.packages.urllib3.disable_warnings(category=InsecureRequestWarning)
    connectors_json = requests.get(
        url='https://' + settings.PRODUCT_YUM_SERVER + '/connectors/info/connectors.json',
        timeout=60,
        verify=False
    )
    connector_details = connectors_json.json()
    for connector_key, connector_details in connector_details.items():
        connector_repo_names.append(connector_details.get('name'))
    return connector_repo_names


def load_connectors_to_migrate():
    migrate_connectors_mapping = {}
    requests.packages.urllib3.disable_warnings(category=InsecureRequestWarning)
    connectors_json = requests.get(
        url='https://' + settings.PRODUCT_YUM_SERVER + '/connectors/info/migrate_connectors_to_python39.json',
        timeout=60,
        verify=False
    )
    connector_details = connectors_json.json()
    for connector_details in connector_details:
        migrate_connectors_mapping[connector_details.get('name')] = connector_details

    return migrate_connectors_mapping
