""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import json
from django.conf import settings

from connectors.core.connector import logger
from connectors.environment import expand

def load_agents_config(agent_id):
    return []


def format_rmq_message(message, *args, **kwargs):
    if type(message) == dict:
        return json.loads(json.dumps(message))
    try:
        message_json = json.loads(bytes.decode(message))
    except Exception as e:
        logger.info('Message decode failed with error %s, trying other method', str(e))
        try:
            message_json = json.loads(message)
        except Exception as e:
            message_json = message
            logger.info('Error in formatting , returning message as received', str(e))
    return message_json


def get_peer_publish_action(action_name, peer_id, *args, **kwargs):
    inter_cyops_config = settings.ALL_CONFIG.get('rabbitmq_cyops').get('peerPublishAction').get(
        action_name)
    inter_cyops_config = {key: expand({'dest_id': peer_id}, value) for key, value in inter_cyops_config.items()}
    inter_cyops_config['callback_name'] = action_name
    return inter_cyops_config


def get_tenant_publish_action(action_name, peer_id, *args, **kwargs):
    inter_cyops_config = settings.ALL_CONFIG.get('rabbitmq_cyops').get('tenantPublishAction').get(
        action_name)
    inter_cyops_config = {key: expand({'dest_id': peer_id}, value) for key, value in inter_cyops_config.items()}
    inter_cyops_config['callback_name'] = action_name
    return inter_cyops_config
