import logging
from django.conf import settings
from xfutils.service_context.core import AbstractContext

logger = logging.getLogger(__name__)

class ServiceContext(AbstractContext):
    def __init__(self,
                service_config=settings.ALL_CONFIG,
                entitlements_ratemap=None,
                #
                # Currently using same cache as for ratelimit for workflow service.
                # We could change it to different cache in future if required.
                #
                cache_name=settings.CACHE_CONFIG.get('cache_name')):
        super().__init__(service_config, entitlements_ratemap, cache_name)

#
# Below object currently getting treated as singleton as we define it in file and import it
# in other files. Going ahead if logic changes, make sure it remains singleton.
#
integration_service_context = ServiceContext()