from django.core.management.base import BaseCommand

from tenant.models import Tenant, Domain


class Command(BaseCommand):
    help = 'Creates a Tenant in the database'

    def add_arguments(self, parser):
        tenant_id = parser.add_argument('--tenant_id')
        schema_name = parser.add_argument('--schema_name')
        name = parser.add_argument('--name')
        active = parser.add_argument('--active')

    def handle(self, *args, **options):
        try:
            func_args = {
                'tenant_id': options.get('tenant_id'),
                'schema_name': options.get('schema_name'),
                'name': options.get('name'),
                'active': options.get('active')
            }
            Tenant.objects.get_or_create(**func_args)
        except Exception as e:
            return self.stdout.write(self.style.ERROR('Error: Failed to create XF tenant: %s' % str(e)))
        finally:
            pass
        return self.stdout.write(self.style.SUCCESS('Successfully created XF tenant'))
