from django.core.management.base import BaseCommand

from tenant.models import Tenant, Domain


class Command(BaseCommand):
    help = 'Schedules migration for upgrade path to 5.0.0'

    def handle(self, *args, **options):
        try:

            if Tenant.objects.filter(schema_name='public', name='self').exists():
                return self.stdout.write(self.style.SUCCESS('Self tenant is already created'))

            tenant = Tenant.objects.create(schema_name='public', name='self')
            tenant2 = Tenant.objects.create(schema_name='demo_tenant', name='demo_tenant')
            # calling self as we have been following this nomenclature for a while now
            Domain.objects.create(domain='demo', tenant=tenant2)
            Domain.objects.create(domain='self', tenant=tenant)
        except Exception as e:
            return self.stdout.write(self.style.ERROR('Error: Failed to create self tenant: %s' % str(e)))
        finally:
            pass
        return self.stdout.write(self.style.SUCCESS('Successfully created self tenant'))
