import uuid

from django.db import models
from django_tenants.models import TenantMixin, DomainMixin


class Tenant(TenantMixin):
    uuid = models.UUIDField(default=uuid.uuid4, editable=False, blank=True, unique=True)
    tenant_id = models.CharField(max_length=100, unique=True)
    name = models.CharField(max_length=100)
    active = models.BooleanField(default=False)
    created_on = models.DateField(auto_now_add=True)

    # default true, schema will be automatically created and synced when it is saved
    auto_create_schema = True


class Domain(DomainMixin):
    tenant = models.ForeignKey(Tenant, on_delete=models.CASCADE, null=True, blank=True, to_field='tenant_id')
