from django.urls import path, include
from rest_framework.routers import DefaultRouter

from tenant.views import TenantViewSet, DomainViewSet

tenant_router = DefaultRouter()
tenant_router.register('tenants', TenantViewSet, basename='tenants')
tenant_router.register(r'domain', DomainViewSet, basename='domain view')

# The API URLs are now determined automatically by the router.
urlpatterns = [
    path('', include(tenant_router.urls)),
]
