import logging
import re

from rest_framework import permissions
from django.conf import settings
from xfutils import permissions as xfp

logger = logging.getLogger(__name__)


class DefaultPermission(xfp.DefaultPermission):
    def __init__(self):
        whitelisted_paths = []
        super().__init__(whitelisted_paths)
    
    def has_permission(self, request, view):
        secret_key_whitelisted_paths = ['POST:/api/integration/execute/', 'POST:/api/integration/tenants/provision/']
        secret_keys = [settings.SEALAB_SECRET_KEY]
        current_url = f'{request.method}:{request.path}'
        # Todo we have removed the secret_keys check for provision API
        if current_url in secret_key_whitelisted_paths:
            return True
        
        return super().has_permission(request, view)