""" Copyright start
  Copyright (C) 2008 - 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import logging
import time

logger = logging.getLogger(__name__)


def profile(func):
    def wrap(*args, **kwargs):
        started_at = time.time()
        result = func(*args, **kwargs)
        time_taken = time.time() - started_at
        # if time_taken >= 1:
        logger.warning('\nTime taken in %s: %s\n', func.__name__, time_taken)
        return result

    return wrap
